Bug 448936 - do_mount_indirect: indirect trigger not valid
do_mount_indirect: indirect trigger not valid
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: autofs (Show other bugs)
5.1
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Ian Kent
Brock Organ
:
Depends On: 452139
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-29 11:31 EDT by Mike
Modified: 2010-10-22 21:34 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-02 21:10:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike 2008-05-29 11:31:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9b5) Gecko/2008032620 Firefox/3.0b5

Description of problem:
When running 'find' on a sub-directory (only one level down) of an automount (using NFS), the find returns "No such file or directory" on the first attempt, but then works fine on the second attempt.  So it occurs every time the directory isn't mounted.

Quick Example:
auto_master:
/home/test auto_test
auto_test:
dir  host:/my/test/&

find /home/test/dir/subdir - fails with "find: /home/test/dir/subdir: No such file or directory"
find /home/test/dir - works
find /home/test/dir/subdir/otherdir - works

Error message:
do_mount_indirect: indirect trigger not valid or already mounted /home/test/dir/subdir



Version-Release number of selected component (if applicable):
autofs-5.0.1-0.rc2.88, kernel-2.6.18-92.el5

How reproducible:
Always


Steps to Reproduce:
1. Setup an NFS export
2. Create an automount (we're using NIS+ with niscompat)
3. Run 'find' on a sub-directory of that mount

Actual Results:
find: /path/to/subdir: No such file or directory

Expected Results:
A listing of found files should have been returned.

Additional info:
This was on a 5.1 system, with the kernel and autofs updated to the 5.2 versions.
Comment 1 Mike 2008-05-29 11:33:25 EDT
I have the the output from automount run in debug mode, but I would need the bug
to be private as it contains sensitive data.
Comment 2 Ian Kent 2008-05-29 23:11:07 EDT
(In reply to comment #1)
> I have the the output from automount run in debug mode, but I would need the bug
> to be private as it contains sensitive data.

Email it directly to me.
Comment 3 Mike 2008-05-30 08:45:17 EDT
Email sent.
Comment 4 Matt Dey 2008-06-24 10:19:36 EDT
Is there any movement on this bug.  I believe I am having the same issue.
Comment 5 Ian Kent 2008-06-24 11:49:06 EDT
(In reply to comment #4)
> Is there any movement on this bug.  I believe I am having the same issue.

Yes, but it's being worked on in another bug.
I believe this is a kernel bug and I have patches to address
it but I'm not sure how to make a test kernel available?
Comment 6 Mike 2008-06-30 11:27:58 EDT
Which other bug is this being worked on?  I'd like to track it.
Comment 7 Ian Kent 2008-07-01 22:59:00 EDT
(In reply to comment #6)
> Which other bug is this being worked on?  I'd like to track it.

I don't think that bug is public, sorry.

The current status is that I have identified a mistake in the
patches and I'll be building test kernels soon. We will just
need to find a way to make them available to you for testing.

Unfortunately, there have been a few really difficult issues
reported recently and I'm struggling to fix them.

Sorry for the delay and inconvenience.
I'll get back to this bug as soon as I can.

Ian
Comment 8 Mike 2008-08-18 09:07:59 EDT
Has a test kernel which includes a fix for this problem been built yet?
Comment 9 Ian Kent 2008-08-20 03:24:49 EDT
(In reply to comment #8)
> Has a test kernel which includes a fix for this problem been built yet?

It has, how can I make it available to you?
Comment 10 Mike 2008-08-28 09:10:50 EDT
Ian,

Could you place it on an http or ftp server?
Comment 11 Ian Kent 2008-08-28 22:14:35 EDT
(In reply to comment #10)
> Ian,
> 
> Could you place it on an http or ftp server?

Should have asked, what arches?
Comment 12 Ian Kent 2008-09-02 05:13:40 EDT
(In reply to comment #11)
> (In reply to comment #10)
> > Ian,
> > 
> > Could you place it on an http or ftp server?
> 
> Should have asked, what arches?

I've built and uploaded kernels for i686 and x86_64 to
http://www.kernel.org/pub/linux/kernel/people/raven/autofs

Ian
Comment 13 Ian Kent 2008-09-03 12:16:30 EDT
The corrections for this bug are covered by the changes
committed for bug 452139.

Don Zickus has included these patches in the test kernel
kernel-2.6.18-107.el5 which can be download from
http://people.redhat.com/dzickus/el5.

Ian
Comment 14 Mike 2008-09-08 10:14:55 EDT
Thanks Ian.  I've tested Don's kernel build (x86_64), and verified that it did fix the problem.

-Mike
Comment 18 Ian Kent 2009-03-02 21:10:21 EST
This issue has been addressed in the current RHEL-5.3 release
kernel. I'm closing this bug as CURRENTRELEASE to reflect this.

Note You need to log in before you can comment on or make changes to this bug.